summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-process/acct/files/acct.initd')
-rw-r--r--sys-process/acct/files/acct.initd12
1 files changed, 9 insertions, 3 deletions
diff --git a/sys-process/acct/files/acct.initd b/sys-process/acct/files/acct.initd
index 29fb28ab65fc..2f66068625c0 100644
--- a/sys-process/acct/files/acct.initd
+++ b/sys-process/acct/files/acct.initd
@@ -1,9 +1,9 @@
#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-process/acct/files/acct.initd,v 1.1 2010/04/28 19:32:40 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-process/acct/files/acct.initd,v 1.2 2011/01/26 05:36:22 jer Exp $
-opts="report"
+opts="report reload"
depend() {
need localmount
@@ -36,4 +36,10 @@ report() {
sa ${REPORT_OPTS} "${ACCT_LOG}"
}
+reload() {
+ service_started "${SVCNAME}" || return
+ svc_stop
+ svc_start
+}
+
# vim:ts=4 sw=4: